@echo off
ren luagl.bundle luagl.bundle.osx
ren luaglut.bundle luaglut.bundle.osx
ren memarray.bundle memarray.bundle.osx
cls
set windowed=0
set currentfreq=60
set resolution=640 480
set echoresolution=640x480
set windowedecho=Disabeled
:main
:menu
cls
echo.
echo   B I L O T R I P    S P L I F    L A U N C H E R        
echo.
echo.
echo.
echo.
echo.
echo          0 - Quick launch with recommended settings
echo.
echo.
echo          1 - Change the resolution  .  .  .  . %echoresolution%
echo.
echo          2 - Change the frequency   .  .  .  . %currentfreq%hz
echo.
echo          3 - Windowed display .  .  .  .  .  . %windowedecho%
echo.
echo          4 - Launch with selected settings
echo.
echo.
echo.     

echo.
echo          q - Quit
echo.
echo.
set choice=
set /p choice= - 
if not '%choice%'=='' set choice=%choice:~0,1%
if '%choice%'=='0' goto auto
if '%choice%'=='1' goto menu2
if '%choice%'=='2' goto menu3
if '%choice%'=='3' goto windowed
if '%choice%'=='4' goto launch
if '%choice%'=='q' goto quit
ECHO.
goto menu


:launch
cls
echo RESOLUTION: %resolution% FREQUENCY: %currentfreq% WINDOWED: %windowed%
cls
social_disease %resolution% %currentfreq% %windowed%
goto quit

:menu2
cls
echo.
echo   B I L O T R I P    S P L I F    L A U N C H E R        
echo.
echo.
echo.
echo          1 - 640  x 480  (vga)
echo  4:3     2 - 800  x 600  (Works with older projectors)
echo          3 - 1024 x 768
echo.
echo.
echo  5:4     4 - 1280 x 1024
echo.
echo.
echo          5 - 1280 x 720  (720p)
echo  16:9    6 - 1920 x 1080 (1080p)
echo          7 - 2560 x 1440 (1440p)
echo.
echo.
echo          8 - 1280 x 800
echo  16:10   9 - 1920 x 1200
echo          0 - 2560 x 1600
echo.     
echo.
echo          q - Back to main menu
set choice=
set /p choice= - 
if not '%choice%'=='' set choice=%choice:~0,1%
if '%choice%'=='1' goto 480
if '%choice%'=='2' goto 600
if '%choice%'=='3' goto 768
if '%choice%'=='4' goto 1024
if '%choice%'=='5' goto 720
if '%choice%'=='6' goto 1080
if '%choice%'=='7' goto 1440
if '%choice%'=='8' goto 800
if '%choice%'=='9' goto 1200
if '%choice%'=='0' goto 1600
if '%choice%'=='q' goto menu
ECHO.
goto menu2


:menu3
cls
echo.
echo   B I L O T R I P    S P L I F    L A U N C H E R        
echo.
echo.
echo.
echo   Pick a frequency:
echo.
echo.
echo          1 - 50hz
echo          2 - 60hz
echo          3 - 70hz
echo          4 - 75hz
echo          5 - 80hz
echo          6 - 85hz
echo          7 - 100hz
echo          8 - 120hz
echo.
echo.
echo.
echo          q - Back to main menu
echo.
echo.
echo.
echo.
set choice=
set /p choice= - 
if not '%choice%'=='' set choice=%choice:~0,1%
if '%choice%'=='1' goto 50
if '%choice%'=='2' goto 60
if '%choice%'=='3' goto 70
if '%choice%'=='4' goto 75
if '%choice%'=='5' goto 80
if '%choice%'=='6' goto 85
if '%choice%'=='7' goto 100
if '%choice%'=='8' goto 120
if '%choice%'=='q' goto menu
ECHO.
goto menu3

:50
set currentfreq=50
goto main

:60
set currentfreq=60
goto main

:70
set currentfreq=70
goto main

:75
set currentfreq=75
goto main

:80
set currentfreq=80
goto main

:85
set currentfreq=85
goto main

:100
set currentfreq=100
goto main

:120
set currentfreq=120
goto main




:480
set resolution=640 480
set echoresolution=640x480
goto main


:600
set resolution=800 600
set echoresolution=800x600

goto menu

:768
set resolution=1024 768
set echoresolution=1024x768
goto menu

:720
set resolution=1280 720
set echoresolution=1280x720  (720p)
goto menu

:1080
set resolution=1920 1080
set echoresolution=1920x1080  (1080p)
goto menu

:1440
set resolution=2560 1440
set echoresolution=2560x1440  (1440p)
goto menu

:800
set resolution=1280 800
set echoresolution=1280x800
goto menu

:1200
set resolution=1920 1200
set echoresolution=1920x1200
goto menu

:1600
set resolution=2560 1600
set echoresolution=2560x1600
goto menu

:1024
set resolution=1280 1024
set echoresolution=1280x1024
goto menu

:auto
cls
main 1 1 1 2
goto quit

:windowed
if "%windowed%" == "1" goto windis
set windowedecho=Enabled
set windowed=1
goto menu
:windis
set windowed=0
set windowedecho=Disabled
goto menu

:quit
ren luagl.bundle.osx luagl.bundle 
ren luaglut.bundle.osx luaglut.bundle 
ren memarray.bundle.osx memarray.bundle 
color 07
cls
